Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionFrameV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionFrame
                      com.trolltech.qt.gui.QStyleOptionFrameV2

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionFrameV2

extends QStyleOptionFrame

The `QStyleOptionFrameV2` class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above.

`QStyleOptionFrameV2` inherits `QStyleOptionFrame` which is used for drawing several built-in Qt widgets, including `QFrame`, `QGroupBox`, `QLineEdit`, and `QMenu`.

An instance of the `QStyleOptionFrameV2` class has type `SO_Frame` and version 2. The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The version is used by `QStyleOption` subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own `QStyle` subclass, you should handle both `QStyleOptionFrame` and `QStyleOptionFrameV2`. One way to achieve this is to use the `QStyleOptionFrameV2` copy constructor. For example:

            QStyleOptionFrame *option;

            if (const QStyleOptionFrame *frameOption =
                   qstyleoption_cast<const QStyleOptionFrame *>(option)) {
                QStyleOptionFrameV2 frameOptionV2(*frameOption);

                // draw the frame using frameOptionV2
            }

In the example above: If the `frameOption`'s version is 1, `FrameFeature` is set to None for `frameOptionV2`. If `frameOption`'s version is 2, the constructor will simply copy the `frameOption`'s `FrameFeature` value.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOptionFrame`, `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionFrameV2.FrameFeature` This enum describles the different types of features a frame can have.
`static class` | `QStyleOptionFrameV2.FrameFeatures` This QFlag class provides flags for the int enum.
`static class` | `QStyleOptionFrameV2.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOptionFrame
`QStyleOptionFrame.StyleOptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionFrameV2()` Constructs a `QStyleOptionFrameV2` object.
`protected` | `QStyleOptionFrameV2(int version)`
`` | `QStyleOptionFrameV2(QStyleOptionFrame other)` Constructs a `QStyleOptionFrameV2` copy of the `other` style option which can be either of the `QStyleOptionFrameV2` or `QStyleOptionFrame` types.
`` | `QStyleOptionFrameV2(QStyleOptionFrameV2 other)` Constructs a `QStyleOptionFrameV2` copy of the `other` style option.

Method Summary
`QStyleOptionFrameV2.FrameFeatures` | `features()` Returns a bitwise OR of the features that describe this frame..
`static QStyleOptionFrameV2` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionFrameV2 instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionFrameV2[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionFrameV2 array.
`void` | `setFeatures(QStyleOptionFrameV2.FrameFeature... features)` Sets a bitwise OR of the features that describe this frame.
`void` | `setFeatures(QStyleOptionFrameV2.FrameFeatures features)` Sets a bitwise OR of the features that describe this frame.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionFrame
`lineWidth, midLineWidth, nativePointerArray, setLineWidth, setMidLineWidth`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionFrameV2

    public QStyleOptionFrameV2(QStyleOptionFrameV2 other)

  Constructs a `QStyleOptionFrameV2` copy of the `other` style option.

### QStyleOptionFrameV2

    public QStyleOptionFrameV2()

  Constructs a `QStyleOptionFrameV2` object.

### QStyleOptionFrameV2

    protected QStyleOptionFrameV2(int version)

### QStyleOptionFrameV2

    public QStyleOptionFrameV2(QStyleOptionFrame other)

  Constructs a `QStyleOptionFrameV2` copy of the `other` style option which can be either of the `QStyleOptionFrameV2` or `QStyleOptionFrame` types.

  If the `other` style option's version is 1, the new style option's `FrameFeature` value is set to `QStyleOptionFrameV2::None`. If its version is 2, its `FrameFeature` value is simply copied to the new style option.

  See Also:
    version

Method Detail

### setFeatures

    public final void setFeatures(QStyleOptionFrameV2.FrameFeature... features)

  Sets a bitwise OR of the features that describe this frame. to `features`.

  See Also:
    `features`, `FrameFeature`

### setFeatures

    public final void setFeatures(QStyleOptionFrameV2.FrameFeatures features)

  Sets a bitwise OR of the features that describe this frame. to `features`.

  See Also:
    `features`, `FrameFeature`

### features

    public final QStyleOptionFrameV2.FrameFeatures features()

  Returns a bitwise OR of the features that describe this frame..

  See Also:
    `setFeatures`, `FrameFeature`

### fromNativePointer

    public static QStyleOptionFrameV2 fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionFrameV2 instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionFrameV2[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionFrameV2 array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD